# $Revision: 1.10 $, $Date: 2004/12/12 15:56:33 $
Summary:	Realistic sky generator
Summary(pl):	Realistyczny generator obrazu nieba
Name:		stellarium
Version:	0.6.2
Release:	1
License:	GPL v2
Group:		X11/Applications/Science
Source0:	http://dl.sourceforge.net/stellarium/%{name}-%{version}.tar.gz
# Source0-md5:	f00e99b88f53273419683cf18905e39c
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-autoconf.patch
URL:		http://stellarium.free.fr/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stellarium renders 3D realistic skies in real time with OpenGL. It
displays stars, constellations, planets, nebulas and others things
like ground, landscape, fog, etc. Main features:
- Over 120000 stars from the Hipparcos Catalogue with name and infos
  for the brightest ones.
- Planets in real time, with a powerfull zoom mode.
- Drawing of the 88 constellations with their names.
- More than 40 messiers objects (Orion, M31 etc..).
- Photorealistic Milky Way.
- Ground, fog, and landscape.
- Star twinkling.
- Time control (real time and accelered time modes).
- Clikable stars, planets and nebulas with informations.
- Smooth real time navigation.
- Windowed and fullscreen modes.

%description -l pl
Stellarium przy pomocy OpenGL-a oddaje w czasie rzeczywistym
trjwymiarowe, realistyczne obrazy nieba. Wywietla gwiazdy,
konstelacje, planety, nebule i inne obiekty takie jak powierzchnia
ziemi, krajobrazy, mga, itp. Gwne cechy to:
- Ponad 120000 gwiazd z "Hipparcos Catalogue" z nazwami i opisem
  najjaniejszych.
- Planety w czasie rzeczywistym z moliwoci duego powikszania.
- Wywietlanie 88 konstelacji wraz z ich nazwami.
- Ponad 40 obiektw messiera (Orion, M31, itp...).
- Realistyczna Droga Mleczna.
- Powierzchnia, mga i krajobraz.
- Migotanie gwiazd.
- Kontrola czasu (tryby czasu rzeczywistego i przypieszonego).
- Dostp do informacji na temat gwiazd, planet i nebuli po ich
  klikniciu.
- Pynna nawigacja w czasie rzeczywistym.
- Tryb pracy penoekranowej i w oknie.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-sdltest
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stellarium.spec,v $
Revision 1.10  2004/12/12 15:56:33  yogib
- dropped Source0-size

Revision 1.9  2004/12/12 15:31:25  yogib
- updated to 0.6.2

Revision 1.8  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.7  2004/10/17 19:02:06  yogib
- updated to 0.6.1, removed obsoleted patches

Revision 1.6  2004/09/28 15:56:42  yogib
- added observatory and main patches to fix some bugs

Revision 1.5  2004/06/02 20:37:27  qboosh
- allow uncompressed man

Revision 1.4  2004/06/02 20:27:40  yogib
- updated to 0.6.0, removed config patch
- added autoconf patch to pass proper CFLAGS, added man

Revision 1.3  2004/01/23 09:15:38  qboosh
- typo, cosmetics

Revision 1.2  2004/01/22 21:27:30  yogib
- rel 1

Revision 1.1  2004/01/21 21:58:44  yogib
- added, nfy
